<?php
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../bonificacion_cst/cBonificacion_cst.php");
$oBonificacion_cst = new cBonificacion_cst();


require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();

$fec = date('Y-m-d');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");


$fec1 = $_POST["fec1"];
list($dia1,$mes1,$anio1) = explode('-',$fec1);

$fec2 = $_POST["fec2"];
list($dia2,$mes2,$anio2) = explode('-',$fec2);




$dts=$oPuntoventa->filtrar('','');

?>
<style>
	div#div_tabla { margin: 0 0; }
	div#div_tabla table { margin: 0 0; border-collapse: collapse; width: 100%; }
	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee; padding: 2px 3px; font-size:15px; }
	div#div_tabla table th { height:18px }
	div#div_tabla table td { height:17px }
</style>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
		
		<button class="btn btn-success " id="btn_excel"> <i class="fas fa-file-excel"></i> DESCARGAR EXCEL </button>
		
        	<div class="table-responsive" id="div_tabla">
			 
			<div class="col-lg-12 col-xs-12" style="height:10px;"></div>
			 
          <table id="tabla_resumen_todos" class="table table-bordered table-striped">
           <thead>
							
			<tr class="" style="font-weight:bold;font-size:16px;background-color:#B2EBF2">
				<th>SUCURSAL</th>
				
				
				
				<?php 
				
				if($mes1==$mes2){
				
				
				for($i=$dia1;$i<=$dia2;$i++){
					
					$i = $i*1;
					
					$fec = $i.'-'.$mes1.'-'.$anio1;
					
				?>
				<th><?php echo fecha_entexto_corto($fec,2); ?></th>
				<?php 
					
				}
				}else{
				?>
				<th>SELECCIONA FECHAS DEL MISMO MES.</th>
				<?php 	
				}
				
				?>



				
			</tr>
		</thead>
		
		
		
		<tbody>
		
		
		
		<?php 
		
		 while($dt = mysqli_fetch_array($dts)){
		?>
		<tr>
				<td><?php echo $dt['tb_puntoventa_nom']; ?></td>
				
				
			
				<?php 
				
				if($mes1==$mes2){
				
				
				for($i=$dia1;$i<=$dia2;$i++){
					
					$i = $i*1;
					
					$fec = $i.'-'.$mes1.'-'.$anio1;
					
					$punven_id = $dt['tb_puntoventa_id'];
					
					
				$dts7 = $oBonificacion_cst->mostrarValorizados($punven_id, fecha_mysql($fec));
				$dt7 = mysqli_fetch_array($dts7);
				$venta = $dt7['totalventa'];
				$costo = $dt7['totalcosto'];
					
					$diferencia = $venta - $costo;
					
					
				?>
				<td> 
				<table>
				<tr>
			    <td> <span><?php echo formato_money($venta); ?></span> </td>
				<td> <span style="color:#d50000 ;" ><?php echo formato_money($costo); ?></span> </td>
				<td> <span style="color:#0d47a1 ;" ><?php echo formato_money($diferencia); ?></span>  </td>
				</tr>
				</table>
				</td>
				<?php 
				
				$data["totalventa_".$i] += $venta;
				$data["totalcosto_".$i] += $costo;
				$data["totaldiferencia_".$i] += $diferencia;
				
				$data["totalventa_".$punven_id] += $venta;
				$data["totalcosto_".$punven_id] += $costo;
				$data["totaldiferencia_".$punven_id] += $diferencia;
				
				}
				?>
				<td> 
				<table>
				<tr>
				<td> <?php echo $data["totalventa_".$punven_id] ?> </td>
				<td  style="color:#d50000 ;" > <?php echo $data["totalcosto_".$punven_id] ?> </td>
				<td  style="color:#0d47a1 ;" > <?php echo $data["totaldiferencia_".$punven_id] ?> </td>
				</tr>
				</table>
				</td>
				
				
				
				
				<?php
				
				
				
				}else{
				?>
				<td>SELECCIONA FECHAS DEL MISMO MES.</td>
				<?php 	
				}
				
				?>


			
				
				
				
		</tr>
		<?php  
			 
		 }
		?>
		
		
		
		
		
		</tbody>
		
			
	<?php if($mes1==$mes2){?>
		<tr>
		
		<td></td>	
		
		
		
		<?PHP 
		for($i=$dia1;$i<=$dia2;$i++){
			
		?>
		
		<td></td>	
		
		<?PHP 
			
		}
		
		?>
		
		
		
		
		
		</tr>
	<?php }?>	
	
		
	<?php if($mes1==$mes2){?>
		<tr>
		
		<td>TOTAL</td>	
		
		
		
		<?PHP 
		for($i=$dia1;$i<=$dia2;$i++){
			$i = $i * 1;
		?>
		
		<td>
		<table>
		<tr>
		<td> <?php echo formato_money($data["totalventa_".$i]); ?> </td>	
		<td>  <span style="color:#d50000;"> <?php echo formato_money($data["totalcosto_".$i]); ?> </span> </td>	
		<td >  <span style="color:#0d47a1 ;"> <?php echo formato_money($data["totaldiferencia_".$i]); ?> </span></td>	
		</tr>
		</table>
		</td>	
		
		<?PHP 
			
		}
		
		?>
		
		
		
		
		
		</tr>
	<?php }?>	
	
	
		
      </table>
	  	
	    </div>
	</div>
  </div>
</div>
</div>
</section>
<script type="text/javascript">
function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}
$(function(){
	
$("#btn_excel").click(function(){
		fec1 = "<?php echo fecha_mysql($_POST['fec1']) ?>";
		fec2 = "<?php echo fecha_mysql($_POST['fec2']) ?>";
	abrirEnPestana('../../files/ventasucursal_cst/ventasucursal_cst_excel.php?fec1='+fec1+'&fec2='+fec2);
});
	
	});
</script>  